-- Menu screen

menu = {}

menu.load = function(callback)
  time = 0
  textCoin = true
  changeText = false
end

menu.update = function(dt)
  love.graphics.setColor(255, 100, 45, 255)

  time = time + dt
  if time > 1 and textCoin == true then
    textCoin = false
    time = 0
  end
  if time > 1 and textCoin == false and changeText == false then
    textCoin = true
    changeText = true
    time = 0
  end
  if time > 1 and textCoin == false and changeText == true then
    textCoin = true
    changeText = false
    time = 0
  end

  if love.keyboard.isDown("escape") then -- exit the game, quick access for testing
      love.event.quit()
  end
  if love.keyboard.isDown("return") then -- change to game screen when press enter
    gameState = 2
  end
end

menu.draw = function(callback)
  fontMenu = love.graphics.setNewFont("img/renegado3d.ttf", 500 * gameScale) --main title shadow
  love.graphics.setColor(0, 105, 0, 255)
  love.graphics.print("2042", gameWidth / 3 - 200, gameHeight / 3 - (250 * gameScale))

  fontMenu = love.graphics.setNewFont("img/renegado.ttf", 500 * gameScale) -- main title
  love.graphics.setColor(255, 255, 255, 255)
  love.graphics.print("2042", gameWidth / 3 - 200, gameHeight / 3 - (250 * gameScale))

  fontMenu = love.graphics.setNewFont("img/renegado.ttf", 75 * gameScale) -- super hyper mega large title
  love.graphics.setColor(0, 105, 0, 255)
  love.graphics.print("SUPER COMBO WOMBO", gameWidth / 3 - (50 * gameScale), gameHeight / 3 - (250 * gameScale))
  love.graphics.print("SUPER SPACESHIP SIMULATOR 20XX",
  gameWidth / 3 - (400 * gameScale), gameHeight / 3 + (200 * gameScale))

  fontMenu = love.graphics.setNewFont("img/pixel.ttf", 40 * gameScale) -- insert coin text
  love.graphics.setColor(255, 255, 255, 255)
  if textCoin == true and changeText == false then
    love.graphics.print("INSERT COIN", gameWidth / 2 - 50, gameHeight - 150)
  end
  if textCoin == true and changeText == true then
    love.graphics.print("PRESS ENTER", gameWidth / 2 - 50, gameHeight - 150)
  end

end

return menu
